/*-- -------------------------- -->
<---       Contact Page         -->
<--- -------------------------- -*/

/*-- -------------------------- -->
<---          Contact           -->
<--- -------------------------- -*/

/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
    #contact-1184 {
        padding: var(--sectionPadding);
        background-color: #f7f7f7;
        position: relative;
        z-index: 1;
    }
    #contact-1184 .cs-container {
        width: 100%;
        /* changes to 100% at tablet */
        max-width: 36.5rem;
        margin: auto;
        display: flex;
        justify-content: center;
        align-items: stretch;
        flex-direction: column;
        /* 48px - 80px */
        gap: clamp(3rem, 6vw, 5rem);
    }
    #contact-1184 .cs-content {
        /* set text align to left if content needs to be left aligned */
        text-align: center;
        width: 100%;
        display: flex;
        flex-direction: column;
        /* centers content horizontally, set to flex-start to left align */
        align-items: center;
    }

    #contact-1184 .cs-title {
        margin: 0 0 2rem 0;
    }
    #contact-1184 .cs-form {
        width: 100%;
        /* 24px - 48px top and bottom */
        /* 24px - 32px left and right */
        padding: clamp(1.5rem, 4vw, 3rem) clamp(1.5rem, 3vw, 2rem);
        /* prevents flexbox from affecting height and width */
        box-sizing: border-box;
        background-color: #fff;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 0.75rem;
    }
    #contact-1184 .cs-label {
        /* 14px - 16px */
        font-size: clamp(0.875rem, 1.5vw, 1rem);
        width: 100%;
        color: var(--headerColor);
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        gap: 0.25rem;
    }
    #contact-1184 .cs-input {
        font-size: 1rem;
        width: 100%;
        height: 3.5rem;
        padding: 0;
        padding-left: 1.5rem;
        color: var(--headerColor);
        background-color: #f7f7f7;
        border: none;
        /* prevents padding from adding to height and width */
        box-sizing: border-box;
    }
    #contact-1184 .cs-input::placeholder {
        color: #7d799c;
        opacity: 0.6;
    }
    #contact-1184 .cs-textarea {
        min-height: 7.5rem;
        padding-top: 1.5rem;
        margin-bottom: 0.75rem;
        font-family: inherit;
    }
    #contact-1184 .cs-button-solid {
        font-size: 1rem;
        /* 46px - 56px */
        line-height: clamp(2.875em, 5.5vw, 3.5em);
        text-decoration: none;
        font-weight: 700;
        text-align: center;
        margin: 0;
        color: #fff;
        border: none;
        min-width: 9.375rem;
        padding: 0 1.5rem;
        background-color: var(--primary);
        border-radius: 0.25rem;
        display: inline-block;
        position: relative;
        z-index: 1;
        /* prevents padding from adding to the width */
        box-sizing: border-box;
        transition: color 0.3s;
    }
    #contact-1184 .cs-button-solid:before {
        content: "";
        position: absolute;
        height: 100%;
        width: 0%;
        background: #000;
        opacity: 1;
        top: 0;
        left: 0;
        z-index: -1;
        border-radius: 0.25rem;
        transition: width 0.3s;
    }
    #contact-1184 .cs-button-solid:hover {
        color: #fff;
    }
    #contact-1184 .cs-button-solid:hover:before {
        width: 100%;
    }
    #contact-1184 .cs-submit {
        min-width: 17.6875rem;
        border-radius: 0;
    }
    #contact-1184 .cs-submit:hover {
        cursor: pointer;
    }
    #contact-1184 .cs-background {
        width: 100%;
        height: 80vw;
        max-height: 28.125rem;
        display: block;
        position: relative;
    }
    #contact-1184 .cs-background img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        position: absolute;
        top: 0;
        left: 0;
    }
}
/* Desktop - 1024px */
@media only screen and (min-width: 48rem) {
    #contact-1184 {
        padding-left: 0;
        padding-right: 0;
    }
    #contact-1184 .cs-container {
        max-width: 100%;
        flex-direction: row;
        align-items: stretch;
        justify-content: space-between;
        /* 16px - 52px */
        gap: clamp(1rem, 2vw, 3.25rem);
    }
    #contact-1184 .cs-content {
        width: 45%;
        max-width: 33.875rem;
        flex: none;
    }
    #contact-1184 .cs-background {
        height: auto;
        max-height: 100%;
    }
    #contact-1184 .cs-background:first-of-type img {
        object-position: 25% center;
    }
    #contact-1184 .cs-background:last-of-type img {
        object-position: 75% center;
    }
}
/* Dark Mode */
@media only screen and (min-width: 0rem) {
    body.dark-mode #contact-1184 {
        background-color: rgba(0, 0, 0, 0.2);
    }
    body.dark-mode #contact-1184 .cs-title,
    body.dark-mode #contact-1184 .cs-text,
    body.dark-mode #contact-1184 .cs-header,
    body.dark-mode #contact-1184 .cs-link {
        color: var(--bodyTextColorWhite);
    }
    body.dark-mode #contact-1184 .cs-link {
        opacity: 0.8;
    }
    body.dark-mode #contact-1184 .cs-form {
        background-color: var(--medium);
    }
    body.dark-mode #contact-1184 .cs-label {
        color: var(--bodyTextColorWhite);
    }
    body.dark-mode #contact-1184 .cs-input {
        background-color: rgba(255, 255, 255, 0.1);
        color: var(--bodyTextColorWhite);
    }
    body.dark-mode #contact-1184 .cs-input::placeholder {
        color: #fff;
        opacity: 0.5;
    }

    #contact-1184 .cs-topper {
        font-size: var(--topperFontSize);
        line-height: 1.2em;
        text-transform: uppercase;
        text-align: inherit;
        letter-spacing: 0.1em;
        font-weight: 700;
        color: var(--primary);
        margin-bottom: 0.25rem;
        display: block;
      }
}

                                
